# Uses of Interface
org.apache.lucene.queryparser.flexible.core.parser.SyntaxParser

Packages that use SyntaxParser
Package
Description
org.apache.lucene.queryparser.flexible.core
Core classes of the flexible query parser framework.
org.apache.lucene.queryparser.flexible.standard.parser
Lucene Query Parser

- ## Uses of SyntaxParser in org.apache.lucene.queryparser.flexible.core

  Methods in org.apache.lucene.queryparser.flexible.core that return SyntaxParser
  Modifier and Type
  Method
  Description
  `SyntaxParser`
  QueryParserHelper.`getSyntaxParser()`
  Returns the text parser used to build a query node tree from a query string.
  Methods in org.apache.lucene.queryparser.flexible.core with parameters of type SyntaxParser
  Modifier and Type
  Method
  Description
  `void`
  QueryParserHelper.`setSyntaxParser(SyntaxParser syntaxParser)`
  Sets the text parser that will be used to parse the query string, it cannot be `null` .
  Constructors in org.apache.lucene.queryparser.flexible.core with parameters of type SyntaxParser
  Modifier
  Constructor
  Description
  ``
  `QueryParserHelper(QueryConfigHandler queryConfigHandler, SyntaxParser syntaxParser, QueryNodeProcessor processor, QueryBuilder builder)`
  Creates a query parser helper object using the specified configuration, text parser, processor and builder.

- ## Uses of SyntaxParser in org.apache.lucene.queryparser.flexible.standard.parser

  Classes in org.apache.lucene.queryparser.flexible.standard.parser that implement SyntaxParser
  Modifier and Type
  Class
  Description
  `class`
  `StandardSyntaxParser`
  Parser for the standard Lucene syntax